
# coding: UTF-8

# Copyright (C) 2008 Markus Schmidt
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

class guessLang:
	
	language = "en"
	
	# LABELS
	session_name_label = "Name"
	session_folder_label = "Folder"
	session_programs_label = "Programs"
	
	program_name_label = "Name"
	program_start_label = "Start"
	program_stop_label = "Stop"
	program_init_label = "Load file\nfrom s/f"
	program_timeout_label = "Timeout"
	program_window_label = "Window"
	program_desktop_label = "Desktop"
	program_x_label = "X"
	program_y_label = "Y"
	program_width_label = "Width"
	program_height_label = "Height"
	program_timer_label = "Timer"
	program_priority_label = "Priority"
	
	settings_language = "Language"
	settings_close_guess_start = "Close Guess after starting a session"
	settings_close_guess_stop = "Close Guess after shutting down a session"
	settings_clear_names = "Clear program and session names"
	settings_default_session_folder = "Default folder to be selected\non clearing session"
	settings_icon_size = "Icons size"
	settings_timeout = "Timeout between actions"
	settings_timer_cycle = "Seconds of timer cycle"
	
	sessions_notebook = "Sessions"
	programs_notebook = "Applications"
	settings_notebook = "Options"
	
	programs_program = "<b>Program</b>"
	programs_placement = "<b>Placement</b>"
		
	# TOOLTIPS
	session_name_tt = """Enter a name for this session. It's used for display and as a \
unique identifier for this setup. Copy a session by simply changing the name and hit the save button."""
	session_folder_tt = """Path to the folder where all setup files from all applications are stored. \
This path will act as a replacement of %s in the 'load file' entry of a program."""
	session_programs_tt = """Define the programs and their behaviour inside your session."""
	session_clear_tt = """Clear all settings to default. If 'clear names' in the settings is activated, \
the name of the session is reset, too."""
	session_remove_tt = """Remove this session from the list. \
This action can't be redone."""
	session_save_tt = """Save the actual settings. Simply change the name of an existing session and hit 'save' \
to copy the settings to a new one. The session to save to is marked in the list. If nothing is selected, a new session \
will be created."""
	session_start_tt = """Start the selected session. Note that Guess will possibly be closed depending on your \
settings."""
	session_stop_tt = """Stop the selected session. Note that Guess will possibly be closed depending on your \
settings."""

	program_name_tt = """Enter a Name for your program. It's used for display and as a \
unique identifier for this setup. Copy a program by simply changing the name and hit the save button."""
	program_start_tt = """Enter the command line for starting up this application.
Ex.: 'ardourvst' or 'jackd -R -r48000 -dalsa'"""
	program_stop_tt = """Enter a command for stopping this application.
Ex.: 'killall jackd' or 'pkill -f mda_bandisto.dll'"""
	program_init_tt = """If this program is capable of starting with a file loaded at startup, \
you can enter the argument here. To check for this feature read the manual of the application \
by hitting on the 'man page' button. This requires storing of application files in the \
session folder. Note that '%s' is replaced by the full path to the session folder.
Ex. hydrogen: '-s %sHydrogen.h2song'"""
	program_timeout_tt = """Wait some seconds after starting this application to wait \
for eventually settling down"""
	program_window_tt = """The name of the window like shown in the title. Must not contain full title string - a part \
of the window title will do the job."""
	program_desktop_tt = """Choose to which desktop the application will be moved. Note that counting \
starts at '0'. Set to '-1' if desktop shouldn't be switched."""
	program_x_tt = """Define the horizontal position of the window. Set to '-1' if \
this shouldn't be changed."""
	program_y_tt = """Define the vertical position of the window. Set to '-1' if \
this shouldn't be changed."""
	program_width_tt = """Define the width of the window. Set to '-1' if \
this shouldn't be changed."""
	program_height_tt = """Define the height of the window. Set to '-1' if \
this shouldn't be changed."""
	program_timer_tt = """Add a timer for positioning if you application takes some moments for \
starting up. This feature starts a loop waiting for the appearance of the window. Without the \
timer Guess will try to set the window immediately after the timeout of the program is count down."""
	program_priority_tt = """This value determines the priority inside the startup sequence. \
Lower values will start the application in an early stage: applications with \
Priority '0' will be launched first."""
	program_wizard_tt = """The Wizard will turn your mouse pointer into a crosshair. Click \
on the desired application window to grab and preset some readable values like window \
position and size, command for start and stop etc."""
	program_manual_tt = """If you have chosen an application command in the 'start' value \
you can open the man page for this one (if there is one available) to have a closer look \
for the arguments (see if you are able to load a file on startup)"""
	program_clear_tt = """Clear all settings to default. If 'clear names' in the settings is activated, \
the name of the program is reset, too."""
	program_remove_tt = """Remove this program from the list. It is also deleted from all sessions. \
This action can't be redone."""
	program_save_tt = "Save the actual settings. Simply change the name of an existing program and hit 'save' \
to copy the settings to a new one. The program to save to is marked in the list. If nothing is selected, a new program \
will be created."""

	settings_language_tt = """Here you can choose the language of the GUI. To translate this \
application please have a look in the programs directory (normally /usr/share/guess) and send \
your translation to the deveoper who will implement it."""
	settings_close_guess_start_tt = """If checked, Guess will automatically close itself after \
the startup sequence of a session has finished."""
	settings_close_guess_stop_tt = """With this option enabled, Guess will be closed immediately \
after all kill commands on session shutdown are sent."""
	settings_clear_names_tt = """If this option is checked, hitting the "clear" buttons in \
programs and sessions tab will erase the names, too. If unchecked only the other settings \
are reset but names will remain untouched."""
	settings_default_session_folder_tt = """This folder will be chosen if you hit the "clear" button \
on the sessions tab."""
	settings_icon_size_tt = """The size in pixels the icons are displayed with in the lists."""
	settings_timeout_tt = """This timeout is always taken after any action while starting \
or stopping a session. Higher values will make this process more stable."""
	settings_timer_cycle_tt = """Set the cycle for the timer function (option: 'timer' unser programs). \
Higher values don't need much resources while waiting for the placement, lower values will place \
windows faster after they appeared."""
	settings_button_save_tt = """Save your settings for future use. Don't save will cause the settings \
to only remain for this session and to be lost on exit."""
	settings_credits_tt = """You're a tooltip fetishist, eh?"""
	
	sessions_tt = "Here you can manage, start and stop your sessions."
	programs_tt = "Here you can manage the programs for your sessions."
	settings_tt = "On this tab you're able to make some changes in program related settings."
	
	# ERRORS
	error_message_title = "ERROR!"
	error_message_shell = "Error: %s"
	error_no_program_name = "You haven't specified any application in 'start' entry"
	error_no_manual = "Can't find any manual entry for '%s'"
	error_no_valid_session = "The session does not exist. Please choose one of the following:\n%s"
	error_no_valid_language = "The language is not implemented. Please choose one of the following:\n%s"
	error_run_and_kill = """"You cannot run and kill a session at the same time.
In fact someone has to confiscate your hardware and withdraw your inet connection..."""
	error_no_session_action = "No session name stated. Please choose one of the following:\n%s"
	error_nothing_to_do = """No action, no GUI - wtf?!"""
	
	# MESSAGES
	warning_message_title = "Warning"
	warning_message_shell = "Warning: %s"
	warning_no_program_selection = """You have to select a program in the list 
on the left before you can proceed"""
	warning_no_session_selection = """You have to select a session in the list 
on the left before you can proceed"""
	warning_no_program_name = """You must specify at least a name for the program"""
	warning_no_session_name = """You must specify at least a name for the session"""
	warning_restricted_session_name = """You have chosen a name that is not allowed."""
	
	# TREEVIEW-COLUMNS
	programs_programs_program = "Program"
	programs_programs_priority = "Priority"
	
	sessions_programs_program = "Program"
	sessions_programs_priority = "Priority"
	sessions_programs_start = "Start"
	sessions_programs_stop = "Stop"
	sessions_programs_init = "Load"
	sessions_programs_placement = "Set"
	sessions_sessions_session = "Session"
	
	# PROGRESS
	progress_starting = "Starting %s..."
	progress_stopping = "Stopping %s..."
	progress_waiting = "Waiting %i seconds after starting %s..."
	progress_setting = "Setting %s (%s)..."
	progress_starting_done = "Done starting %s."
	progress_stopping_done = "Done stopping %s."
	progress_title_start = "Starting session: %s..."
	progress_title_stop = "Stopping session: %s..."
	progress_compiz = "Compiz found!"
	
	#HELP
	shell_help = """Guess - GNOME/Ubuntu Environment Session Starter
This software deals with application based sessions.
The following arguments are possible:

	-l <language> OR --language=<language>
		preselects a language. <language> is a string like
		'en' or 'de' (without the quotes).
		
	-s <session> OR --session=<session>
		preloads a session. <session> is the name of the session.
		
	-n OR --no-gui
		Don't start the graphical user interface. Use guess as
		a commandline tool instead.
		
	-h OR --help
		What do you think you are reading atm?

	-r OR --run
		Starts the selected session (option -s)
		
	-k OR --kill
		Shuts the selected session down (option -s)	
		
Copyright 2008 by Markus Schmidt <schmidt@boomshop.net>
Released under GPL v2"""

	# GUESS
	credits = """<b>%s</b>
GNOME/Ubuntu Environment Session Starter

A GUI for handling applikation sessions
under Gnome-desktop environment (PyGTK)

Version is %s

Programmed and designed by %s
Icons: photogen:c SVG-Iconset
best viewed in oRainge GTK ;)

Released under GPL"""
